relaxngcc.datatype

## Class DatatypeLibraryManager

- java.lang.Object
- - relaxngcc.datatype.DatatypeLibraryManager

    public class DatatypeLibraryManager
    extends java.lang.Object

Maintains datatypes and their converter definitions and allow `Datatype` objects to be retrieved.

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

### Constructor Summary

Constructors
Constructor and Description
`DatatypeLibraryManager(Options _opt)`

### Method Summary

Methods
`DatatypeLibrary` `getLibrary(java.lang.String name)` Obtains a datatype library by its name.
`void` `parse(org.xml.sax.InputSource source)` Parses a datatype definition XML file and adds it to this manager.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DatatypeLibraryManager

    public DatatypeLibraryManager(Options _opt)

### Method Detail

#### parse

    public void parse(org.xml.sax.InputSource source)
               throws org.xml.sax.SAXException,
                      java.io.IOException

Parses a datatype definition XML file and adds it to this manager.

Throws:
  `if` - an error happens.
  `org.xml.sax.SAXException`
  `java.io.IOException`

#### getLibrary

    public DatatypeLibrary getLibrary(java.lang.String name)

Obtains a datatype library by its name.

Returns:
  Always return non-null valid object.